/* ==========================================================================
CUSTOM CSS
========================================================================== */

#pre-loader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999999;
}

#status {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.update-loader {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999999;
}

.update-loader-status {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

body {
    padding-top: 0px;
    height: 100%;
    color: #002E5A;
    font-family: 'Helvetica', 'Arial', sans-serif;
    /*font-size: 0.94rem;*/
}

section {
    padding-top: 50px;
    padding-bottom: 50px;
}

section.log-in {
    padding: 0px;
}

section.log-in h1 {
    font-size: 3.4rem;
}

section.log-in h2 {
    font-size: 2.6rem;
}

section.live-stream {
    padding-top: 15px;
    padding-bottom: 15px;
    margin-right: 0%;
}

.full-screen-height {
    min-height: 100%;
    height: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
}

header.full-height-section, section.full-height-section {
    min-height: 100%;
    height: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
}

.alert#cookie-consent {margin-bottom: 0px;}

.full-size-background {
    background: url('../img/default-hero-image-yellow.jpg') no-repeat center center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/default-hero-image-yellow.jpg', sizingMethod='scale');
    -ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/default-hero-image-yellow.jpg', sizingMethod='scale')";
}

.wave-background {
    background: url('../img/wave-background.svg') no-repeat left center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/wave-background.svg', sizingMethod='scale');
    -ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/wave-background.svg', sizingMethod='scale')";
}

.wave-background-dark-blue {
    background: url('../img/wave-background-dark-blue.svg') no-repeat left center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/wave-background-dark-blue.svg', sizingMethod='scale');
    -ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../img/wave-background-dark-blue.svg', sizingMethod='scale')";
}

.rsmr-background-logo {
    position: absolute;
    top: -100px;
    right: -100px;
}

.overflow-hidden {
    overflow: hidden;
}

.btn-style {
    border-radius: 0.75rem;
    font-weight: bold;
}

/* ==========================================================================
COLOURS
========================================================================== */

.bg-black {
    background-color: #000000;
}

.bg-darker {
    background-color: #212529;
}

.bg-darker hr {
    border-color: #cccccc;
}

.bg-yellow {
    background-color: #fee333;
}

.bg-light-grey {
    background-color: #eeeeee;
}

.bg-white {
    background-color: #ffffff;
}

.bg-white hr {
    border-top: 1px solid #002E5A;
}

.bg-dark-blue {
    background-color: #002E5A;
}

.bg-dark-blue hr {
    border-top: 1px solid #0086CA;
}

.bg-light-blue {
    background-color: #0086CA;
}

.bg-white-80 {
    background-color: rgba(255, 255, 255, 0.8);
}

.bg-black-80 {
    background-color: rgba(0, 0, 0, 0.8);
}

.bg-darker-80 {
    background-color: rgba(33, 37, 41, 0.8);
}

.text-light-grey {
    color: #eeeeee;
}

.text-regular-grey {
    color: #cccccc;
}

.text-yellow {
    color: #fee333;
}

.text-dark-blue {
    color: #002E5A;
}

.text-light-blue {
    color: #0086CA;
}

.btn-yellow {
    background-color: #fee333;
    color: #212529;
}

.btn-yellow:hover {
    background-color: #e8cf26;
    color: #212529;
}

.btn-dark-blue {
    background-color: #002E5A;
    color: #ffffff;
}

.btn-dark-blue:hover {
    background-color: #001f3e;
    color: #ffffff;
}

.btn-light-blue {
    background-color: #0086CA;
    color: #ffffff;
}

.btn-light-blue:hover {
    background-color: #0077b3;
    color: #ffffff;
}

.btn-light {
    background-color: #F9FAFC;
    color: #002E5A;
}

.border-left-dark {
    border-left: 1px solid #343a40;
}

.border-left-light-blue {
    border-left: 1px solid #0086CA;
}

/* ==========================================================================
NAVIGATION
========================================================================== */

.control-panel-container {
    -webkit-transition: all 1s ease-in-out;
    -moz-transition: all 1s ease-in-out;
    -o-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}

.live-stream-control-panel {
    width: 100%;
}

.live-stream-logo {
    width: 84px;
}

/* ==========================================================================
ACCORDION
========================================================================== */

.accordion {
    position: relative;
    min-width: 100%;
}

.accordion .card, .accordion .card-header {
    border-radius: 0px;
    width: 100%;
    border: 0px;
}

.accordion .card-header {
    color: #000000;
    border-left: 6px solid #0086CA;
    padding: 0px;
    /*margin-bottom: 1px;*/
    border-top: 1px solid #cccccc;;
}

/*.accordion .card-body {
    background-color: #ffffff;
}*/

.accordion .btn-side-nav {
    display: block;
    width: 100%;
    color: #002E5A;
    border-radius: 0px;
    border: 0px;
    padding: 20px 10px;
    text-align: left;
    font-weight: 600;
}

.accordion .btn.btn-side-nav:focus {
    outline:0!important;
    box-shadow: none;
}

.accordion .btn-side-nav:hover {
    background-color: #ecf4f9;
}

.accordion .btn-side-nav.btn-light-blue {
    background-color: #0086CA;
    color: #ffffff;
}

.accordion .btn-side-nav.btn-light-blue:hover {
    background-color: #0077b3;
    color: #ffffff;
}

.accordion .btn-side-nav:hover

.carousel-control-next, .carousel-control-prev {
    width: auto;
}

.accordion.accordion-resources .card-header, .accordion.accordion-resources .card-body {
    border: 0px;
    background-color: #0086CA;
}

.accordion.accordion-resources .card-header .btn {
    padding: 1rem;
}

.accordion.accordion-resources .card-header .btn:hover {
    background-color: #0077b3;
}

.accordion.accordion-resources .card-body {
    padding: 1rem;
    border-top: 1px solid #0077b3;
}

.accordion.accordion-resources .card-body p:last-child {
    margin-bottom: 0px;
}

/* ==========================================================================
SPEAKERS
========================================================================== */

.speaker-title {
    font-size: 0.9rem;
}

/* ==========================================================================
LIVE CHAT
========================================================================== */

.live-chat-modal {
    padding-right: 0px!important;
}

.live-chat-modal .modal-dialog {
    width: 50%;
    height: 100%;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-right: 0px;
}

.live-chat-modal .modal-dialog .modal-content {
    min-height: 100%;
}

.chat-item {
    border-bottom: 1px solid #cccccc;
    margin-bottom: 1rem;
}

.chat-item.support {
    text-align: left;
    font-style: italic;
}

.chat-item.user {
    text-align: right;
}

body.modal-open {
    padding-right: 0px!important;
}

/* ==========================================================================
TABLE
========================================================================== */

.table-dark-blue {
    background-color: #002E5A;
    color: #ffffff;
}

.table-dark-blue td, .table-dark-blue th {
    border-top: 1px solid #001f3e;
}

/* ==========================================================================
MODAL
========================================================================== */

.modal-content {
    border-radius: 0.75rem;
}

/* ==========================================================================
FORM
========================================================================== */

.form-control, .custom-select {
    border-radius: 0.75rem;
    border: 1px solid #002E5A;
    font-size: 0.9rem;
    color: #002E5A;
}

.form-control:focus {
    color: #002E5A;
}

input, select, textarea{
    color: #002E5A;
}

textarea:focus, input:focus {
    color: #002E5A;
}

label {
    font-size: 0.9rem;
}

.custom-checkbox .custom-control-label::before, .custom-checkbox .custom-control-label::after {
    top: 0.15rem;
}

.custom-radio-rating .custom-control-inline {
    display: flex;
    margin-bottom: 0;
}

.custom-radio-label-left, .custom-radio-label-right {
    position: relative;
}

.custom-radio-label-left p, .custom-radio-label-right p {
    font-size: 0.8rem;
    margin-bottom: 0.4rem;
}

.custom-control-label::before, .custom-control-label::after {
    top: 0.15rem;
}

/* ==========================================================================
MAP
========================================================================== */

.map-container {
    position: relative;
    color: #222;
    background-attachment: scroll;
    background-image: url(../img/map-image.jpg);
    background-position: center center;
    background-repeat: none;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    -o-background-size: cover;
    min-height: 500px;
}

#map {
    position:absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 0; /* Set z-index to 0 as it will be on a layer below the contact form */
}

/* ==========================================================================
FOOTER
========================================================================== */

footer {
    padding-top: 80px;
    padding-bottom: 80px;
}
